package ru.micord.ervu.kafka.model;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class Employee implements Serializable {

  private static final long serialVersionUID = 1L;

  private String prnOid;

  private String orgOid;

  private Boolean chief;

  private Boolean blocked;

  private String position;

  private String lastName;

  private String firstName;

  private String middleName;

  @JsonFormat(pattern = "dd.MM.yyyy")
  private Date birthDate;

  private String gender;

  private String citizenship;

  private String snils;

  private String inn;

  private String birthPlace;

  //Данные не доступны при входе юр лицом
  private String email;

  //Данные не доступны при входе юр лицом
  private String phoneNumber;

  public String getPrnOid() {
    return prnOid;
  }

  public void setPrnOid(String prnOid) {
    this.prnOid = prnOid;
  }

  public String getOrgOid() {
    return orgOid;
  }

  public void setOrgOid(String orgOid) {
    this.orgOid = orgOid;
  }

  public Boolean getChief() {
    return chief;
  }

  public void setChief(Boolean chief) {
    this.chief = chief;
  }

  public Boolean getBlocked() {
    return blocked;
  }

  public void setBlocked(Boolean blocked) {
    this.blocked = blocked;
  }

  public String getPosition() {
    return position;
  }

  public void setPosition(String position) {
    this.position = position;
  }

  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public String getMiddleName() {
    return middleName;
  }

  public void setMiddleName(String middleName) {
    this.middleName = middleName;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getGender() {
    return gender;
  }

  public void setGender(String gender) {
    this.gender = gender;
  }

  public String getCitizenship() {
    return citizenship;
  }

  public void setCitizenship(String citizenship) {
    this.citizenship = citizenship;
  }

  public String getSnils() {
    return snils;
  }

  public void setSnils(String snils) {
    this.snils = snils;
  }

  public String getInn() {
    return inn;
  }

  public void setInn(String inn) {
    this.inn = inn;
  }

  public String getBirthPlace() {
    return birthPlace;
  }

  public void setBirthPlace(String birthPlace) {
    this.birthPlace = birthPlace;
  }

  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public String getPhoneNumber() {
    return phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }
}
